## org.eclipse.emf.ecoretools.diagram.edit.commands
Class EAnnotationReferencesReorientCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.emf.ecoretools.diagram.edit.commands.EAnnotationReferencesReorientCommand

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class EAnnotationReferencesReorientCommand

extends org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand

Constructor Summary
`EAnnotationReferencesReorientCommand(org.eclipse.gmf.runtime.emf.type.core.requests.ReorientReferenceRelationshipRequest request)`

Method Summary
`boolean` `canExecute()`
`protected boolean` `canReorientSource()`
`protected boolean` `canReorientTarget()`
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`protected org.eclipse.emf.ecore.EAnnotation` `getNewSource()`
`protected org.eclipse.emf.ecore.EObject` `getNewTarget()`
`protected org.eclipse.emf.ecore.EAnnotation` `getOldSource()`
`protected org.eclipse.emf.ecore.EObject` `getOldTarget()`
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `reorientSource()`
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `reorientTarget()`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getEClassToEdit, getElementToEdit, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### EAnnotationReferencesReorientCommand

    public EAnnotationReferencesReorientCommand(org.eclipse.gmf.runtime.emf.type.core.requests.ReorientReferenceRelationshipRequest request)

Method Detail

### canExecute

    public boolean canExecute()

  Specified by:
    `canExecute` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
  Overrides:
    `canExecute` in class `org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand`

### canReorientSource

    protected boolean canReorientSource()

### canReorientTarget

    protected boolean canReorientTarget()

### doExecuteWithResult

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                                                            org.eclipse.core.runtime.IAdaptable info)
                                                                                     throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `doExecuteWithResult` in class `org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### reorientSource

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult reorientSource()
                                                                                throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### reorientTarget

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult reorientTarget()
                                                                                throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### getOldSource

    protected org.eclipse.emf.ecore.EAnnotation getOldSource()

### getNewSource

    protected org.eclipse.emf.ecore.EAnnotation getNewSource()

### getOldTarget

    protected org.eclipse.emf.ecore.EObject getOldTarget()

### getNewTarget

    protected org.eclipse.emf.ecore.EObject getNewTarget()

Copyright 2007 Anyware Technologies. All Rights Reserved.